Debian Bug report logs - #448562
pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get

version graph

Package: pbuilder; Maintainer for pbuilder is Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>; Source for pbuilder is src:pbuilder.

Reported by: Daniel Schepler <schepler@math.unipd.it>

Date: Tue, 30 Oct 2007 02:30:01 UTC

Severity: important

Found in version pbuilder/0.174

Fixed in version pbuilder/0.175

Done: Junichi Uekawa <dancer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
New Bug report received and forwarded. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: submit@bugs.debian.org
Subject: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Mon, 29 Oct 2007 22:22:35 -0400
Package: pbuilder
Version: 0.174
Severity: normal

As the subject says: since the latest upload of apt, 
pbuilder-satisfydepends-classic unnecessarily installs recommended packages 
of the build dependencies.

The same is probably also true for pbuilder-satisfydepends-experimental.  But 
the aptitude version should work properly once aptitude --without-recommends 
install works again (which I submitted as bug #448561).
-- 
Daniel Schepler




Severity set to `important' from `normal' Request was from Loic Minier <lool@dooz.org> to control@bugs.debian.org. (Tue, 30 Oct 2007 14:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 448562@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 448562@bugs.debian.org
Cc: 448562-submitter@bugs.debian.org
Subject: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Wed, 31 Oct 2007 01:15:41 +0100
This also hits /usr/lib/pbuilder/pbuilder-satisfydepends-aptitude, which
installs aptitude with apt-get without using the newly introduced
--no-install-recommends:

| $CHROOTEXEC apt-get -y --force-yes install aptitude

This installs a lot of packages, that are not really necessary. The
workaround for the moment: Add

APT::Install-Recommends "false";

to apt.conf in ${APTCONFDIR} and then run pbuilder with
--override-config.

Regards, Daniel





Message sent on to Daniel Schepler <schepler@math.unipd.it>:
Bug#448562. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 448562@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Daniel Schepler <schepler@math.unipd.it>, 448562@bugs.debian.org
Subject: Re: [Pbuilder-maint] Bug#448562: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Wed, 31 Oct 2007 09:25:42 +0900
Hi,

> 
> As the subject says: since the latest upload of apt, 
> pbuilder-satisfydepends-classic unnecessarily installs recommended packages 
> of the build dependencies.
> 
> The same is probably also true for pbuilder-satisfydepends-experimental.  But 
> the aptitude version should work properly once aptitude --without-recommends 
> install works again (which I submitted as bug #448561).

I'll probably have to set the flag according to apt version.

should 'apt-get --version' do the trick ? 

Doing so would add a fork to dpkg --compare-versions and apt-get
--version, which is slow, but pbuilder-satisfydepends itself is slow
enough that it shouldn't matter too much.

regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 448562@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 448562@bugs.debian.org
Cc: Daniel Schepler <schepler@math.unipd.it>
Subject: Re: [Pbuilder-maint] Bug#448562: Bug#448562: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Wed, 31 Oct 2007 13:56:04 +0100
On Wed, Oct 31, 2007, Junichi Uekawa wrote:
> I'll probably have to set the flag according to apt version.

 Perhaps you can always pass the flag and add a conflict with older
 versions?

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 448562@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: Loïc Minier <lool@dooz.org>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 448562@bugs.debian.org
Subject: Re: [Pbuilder-maint] Bug#448562: Bug#448562: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Wed, 31 Oct 2007 18:04:55 -0400
On Wednesday 31 October 2007 08:56:04 am Loïc Minier wrote:
> On Wed, Oct 31, 2007, Junichi Uekawa wrote:
> > I'll probably have to set the flag according to apt version.
>
>  Perhaps you can always pass the flag and add a conflict with older
>  versions?

Doesn't help building packages for etch, unless etch's apt-get supports the 
flag.  And if it does, I'd say the concern over apt version would be a moot 
point anyway, unless you want to support building for sarge or even older 
distributions.  (Sorry I don't have an etch chroot handy to test whether this 
is the case or not.)
-- 
Daniel Schepler





Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 448562@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Daniel Leidert <daniel.leidert@wgdd.de>, 448562@bugs.debian.org
Cc: 448562-submitter@bugs.debian.org
Subject: Re: [Pbuilder-maint] Bug#448562: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Thu, 01 Nov 2007 09:44:18 +0900
Hi,

> This also hits /usr/lib/pbuilder/pbuilder-satisfydepends-aptitude, which
> installs aptitude with apt-get without using the newly introduced
> --no-install-recommends:
> 
> | $CHROOTEXEC apt-get -y --force-yes install aptitude
> 
> This installs a lot of packages, that are not really necessary. The
> workaround for the moment: Add
> 
> APT::Install-Recommends "false";
> 
> to apt.conf in ${APTCONFDIR} and then run pbuilder with
> --override-config.

I think that adding 'APT::Install-Recommends "false";' depending on
apt version inside chroot sounds like a better solution.  Changing
command-line option will need a lot of changes in different places.

It will however affect user sessions (pbuilder login and execute) as a
side-effect, but we should work-around by documenting that.

How does that sound?




regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project




Message sent on to Daniel Schepler <schepler@math.unipd.it>:
Bug#448562. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #43 received at 448562@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Daniel Schepler <schepler@math.unipd.it>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 448562@bugs.debian.org
Subject: Re: [Pbuilder-maint] Bug#448562: Bug#448562: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Thu, 1 Nov 2007 14:11:24 +0100
On Wed, Oct 31, 2007, Daniel Schepler wrote:
> Doesn't help building packages for etch, unless etch's apt-get supports the 
> flag.  And if it does, I'd say the concern over apt version would be a moot 
> point anyway, unless you want to support building for sarge or even older 
> distributions.  (Sorry I don't have an etch chroot handy to test whether this 
> is the case or not.)

 Yes, it's not compatible with etch anymore, but the dependencies
 clearly suggest so, and a backport could for example remove the flag
 again.  I found this change simpler and it wouldn't cause a penalty in
 calling apt-get.  The concern about the version is about people doing
 partial upgrades.

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#448562; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #48 received at 448562@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 448562@bugs.debian.org
Cc: Daniel Schepler <schepler@math.unipd.it>
Subject: Re: [Pbuilder-maint] Bug#448562: Bug#448562: pbuilder-satisfydepends-classic should pass --no-install-recommends to apt-get
Date: Wed, 07 Nov 2007 09:38:10 +0900
> > As the subject says: since the latest upload of apt, 
> > pbuilder-satisfydepends-classic unnecessarily installs recommended packages 
> > of the build dependencies.
> > 
> > The same is probably also true for pbuilder-satisfydepends-experimental.  But 
> > the aptitude version should work properly once aptitude --without-recommends 
> > install works again (which I submitted as bug #448561).
> 
> I'll probably have to set the flag according to apt version.
> 
> should 'apt-get --version' do the trick ? 
> 
> Doing so would add a fork to dpkg --compare-versions and apt-get
> --version, which is slow, but pbuilder-satisfydepends itself is slow
> enough that it shouldn't matter too much.


Old apt versions ignore "-o APT::Install-Recommends=false" options, so
I've decided to add that to apt invocations to
pbuilder-satisfydepends-classic.

Also I'm installing /etc/apt/apt.conf.d/15pbuilder with that change. I
hope that should fix things up.


I think I need to fix pbuilder-satisfydepends-experimental also.








Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.unipd.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 448562-close@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@debian.org>
To: 448562-close@bugs.debian.org
Subject: Bug#448562: fixed in pbuilder 0.175
Date: Wed, 21 Nov 2007 12:32:02 +0000
Source: pbuilder
Source-Version: 0.175

We believe that the bug you reported is fixed in the latest version of
pbuilder, which is due to be installed in the Debian FTP archive:

pbuilder-uml_0.175_amd64.deb
  to pool/main/p/pbuilder/pbuilder-uml_0.175_amd64.deb
pbuilder_0.175.dsc
  to pool/main/p/pbuilder/pbuilder_0.175.dsc
pbuilder_0.175.tar.gz
  to pool/main/p/pbuilder/pbuilder_0.175.tar.gz
pbuilder_0.175_all.deb
  to pool/main/p/pbuilder/pbuilder_0.175_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Junichi Uekawa <dancer@debian.org> (supplier of updated pbuilder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 21 Nov 2007 19:22:00 +0900
Source: pbuilder
Binary: pbuilder pbuilder-uml
Architecture: source all amd64
Version: 0.175
Distribution: unstable
Urgency: low
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 pbuilder   - personal package builder for Debian packages
 pbuilder-uml - user-mode-linux version of pbuilder
Closes: 448294 448562 448757
Changes: 
 pbuilder (0.175) unstable; urgency=low
 .
   * debian/control: Vcs-Browser and Vcs-Git instead of XS-*.
   * Bug fix: "pbuilder: pdebuild - Breakage when using XC- headers",
     thanks to Soren Hansen (Closes: #448757).
   * Bug fix: "pbuilder: French documentation translation", thanks to
     Vincent Bernat (Closes: #448294).
   * Bug fix: "pbuilder-satisfydepends-classic should pass
     -o APT::Install-Recommends=false to apt-get", thanks to Daniel Schepler
     (Closes: #448562).
   * set /etc/apt/apt.conf.d/15pbuilder so that Install-Recommends is false.
Files: 
 ccc9f9b0de3a4c097c43d0632c75f2cf 859 devel extra pbuilder_0.175.dsc
 3772b86c1a15b36a4eb702eee59b9d26 848918 devel extra pbuilder_0.175.tar.gz
 fe83f4871423e1f92419d25cefb55f54 221328 devel extra pbuilder_0.175_all.deb
 929b43a0494a633eca567643c289ee37 36420 devel extra pbuilder-uml_0.175_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHRCRj2Dd9TugeVcERAn+8AJ4gyUsbrNJjL4Bq5o+FW7gtk8KzEACcCeKD
5Vz+RabuAik3n550k3rlU0w=
=kgoV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Dec 2007 07:28:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:24:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.